Subject: Re: include incompatibilities
From: [email-masked]
To: "J. J. Farrell" <[email-masked]>
Cc: [email-masked]
Date: Thu, 6 Jul 2000 13:50:03 +0200 (MEST)

J. J. Farrell wrote:
: > From: [email-masked]
: > 
: > ...
: > Also, there are some reasons I did not use strerror().
: > One is, strerror may depend on setlocale but setlocale is not available 
: > on older systems.
: 
: I don't understand what you mean by this. If a hosted environment
: conforms to C89 then it has strerror(). There is no dependency on
: other routines.
This locale stuff is all still very confusing and highly non-portable.
On Sun, the man pages of strerror and perror mention
> SEE ALSO
>      gettext(3I), perror(3C), setlocale(3C)
although I couldn't manage to actually get any effect on strerror with 
setlocale.
On Linux, strerror does depend on the environment variable LANG, so it's 
not a constant mapping function as some applications might desire, 
especially if they add their own, non-localized, text output. I don't 
know if there is a library function corresponding to this dependency, 
I had thought it would have to be setlocale.

Thomas Wolff

--
Want to unsubscribe from this list?
Send a message to [email-masked]